import { DataGridCellLayoutPanel } from "./DataGridCellLayoutPanel";
import { DomRenderer, DomWrapper } from "igniteui-webcomponents-core";
import { DataGridPresenterManager } from "./DataGridPresenterManager";
import { Type } from "igniteui-webcomponents-core";
import { VisualModel } from "./VisualModel";
import { CellModel } from "./CellModel";
/**
 * @hidden
 */
export declare class DataGridAccessibilityLayoutPanel extends DataGridCellLayoutPanel {
    static $t: Type;
    private a1;
    private a2;
    private az;
    private ax;
    private a6;
    private static a5;
    constructor(a: DomRenderer, b: DataGridPresenterManager, c: number);
    refresh(a: VisualModel, b: boolean): void;
    protected ag(a: CellModel, b: DomWrapper): void;
    protected ai(a: CellModel, b: DomWrapper): void;
    protected ah(a: CellModel, b: DomWrapper): void;
    protected am(): void;
    private ay;
    private a3;
    private a4;
    private a9;
    private a7;
    private a8;
    private a0;
    private ba;
}
